SDL Library Documentation
Prev |  | Next

# SDL_CreateMutex

## Name

SDL_CreateMutex -- Create a mutex

## Synopsis

    #include "SDL.h"
    #include "SDL_thread.h"

``SDL_mutex *SDL_CreateMutex`(void);`

## Description

Create a new, unlocked mutex.

## Examples

    SDL_mutex *mut;

    mut=SDL_CreateMutex();
    .
    .
    if(SDL_mutexP(mut)==-1){
      fprintf(stderr, "Couldn't lock mutex\n");
      exit(-1);
    }
    .
    /* Do stuff while mutex is locked */
    .
    .
    if(SDL_mutexV(mut)==-1){
      fprintf(stderr, "Couldn't unlock mutex\n");
      exit(-1);
    }

    SDL_DestroyMutex(mut);

## See Also

`SDL_mutexP`, `SDL_mutexV`, `SDL_DestroyMutex`

Prev | Home | Next
SDL_KillThread | Up | SDL_DestroyMutex